ALAS2-2018-1021


Amazon Linux 2 Security Advisory: ALAS-2018-1021
Advisory Release Date: 2018-05-29 23:19 Pacific
Severity: Critical
References: CVE-2018-1111 

Issue Overview:

Command injection vulnerability in the DHCP client NetworkManager integration script:
A command injection flaw was found in the NetworkManager integration script included in the DHCP client packages in Amazon Linux 2. A malicious DHCP server, or an attacker on the local network able to spoof DHCP responses, could use this flaw to execute arbitrary commands with root privileges on systems using NetworkManager and configured to obtain network configuration using the DHCP protocol. (CVE-2018-1111 )

Note: Amazon Linux 2 does not use NetworkManager by default, however it is recommended to install this update.


Affected Packages:

dhcp


Issue Correction:
Run yum update dhcp to update your system.

New Packages:
src:
    dhcp-4.2.5-68.amzn2.1.2.src

x86_64:
    dhcp-4.2.5-68.amzn2.1.2.x86_64
    dhclient-4.2.5-68.amzn2.1.2.x86_64
    dhcp-common-4.2.5-68.amzn2.1.2.x86_64
    dhcp-libs-4.2.5-68.amzn2.1.2.x86_64
    dhcp-devel-4.2.5-68.amzn2.1.2.x86_64
    dhcp-debuginfo-4.2.5-68.amzn2.1.2.x86_64